<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Daily Insight Pro
* @since Daily Insight Pro 1.0
*/
/*
* Validation callback for excerpt length.
*/
function daily_insight_pro_validate_excerpt_length( $validity, $value ) {

    $value = intval( $value );
    if ( empty( $value ) || ! is_numeric( $value ) ) {
        $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'daily-insight-pro' ) );
    } elseif ( $value < 5 ) {
        $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'daily-insight-pro' ) );
    } elseif ( $value > 100 ) {
        $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'daily-insight-pro' ) );
    }
    return $validity;
}

/*
* Validation callback for number of breaking news.
*/
function daily_insight_pro_validate_no_of_breaking_news( $validity, $value ) {

    $value = intval( $value );
    if ( empty( $value ) || ! is_numeric( $value ) ) {
        $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'daily-insight-pro' ) );
    } elseif ( $value < 2 ) {
        $validity->add( 'min_no_of_breaking_news', esc_html__( 'Minimum no of Breaking News Headline is 2', 'daily-insight-pro' ) );
    } elseif ( $value > 5 ) {
        $validity->add( 'max_no_of_breaking_news', esc_html__( 'Maximum no of Breaking News Headline is 5', 'daily-insight-pro' ) );
    }
    return $validity;
}

/*
* Validation callback for main slider number.
*/
function daily_insight_pro_validate_no_of_main_slider( $validity, $value ) {

    $value = intval( $value );
    if ( empty( $value ) || ! is_numeric( $value ) ) {
        $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'daily-insight-pro' ) );
    } elseif ( $value < 2 ) {
        $validity->add( 'min_no_of_main_slider', esc_html__( 'Minimum no of Main Slider is 2', 'daily-insight-pro' ) );
    } elseif ( $value > 5 ) {
        $validity->add( 'max_no_of_main_slider', esc_html__( 'Maximum no of Main Slider is 5', 'daily-insight-pro' ) );
    }
    return $validity;
}

/*
* Validation callback for Category Block Two Section One number.
*/
function daily_insight_pro_validate_no_of_category_block_two_section_one( $validity, $value ) {

    $value = intval( $value );
    if ( empty( $value ) || ! is_numeric( $value ) ) {
        $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'daily-insight-pro' ) );
    } elseif ( $value < 2 ) {
        $validity->add( 'min_no_of_category_block_two_section_one', esc_html__( 'Minimum no of Category Block Two Section One is 2', 'daily-insight-pro' ) );
    } elseif ( $value > 8 ) {
        $validity->add( 'max_no_of_category_block_two_section_one', esc_html__( 'Maximum no of Category Block Two Section One is 8', 'daily-insight-pro' ) );
    }
    return $validity;
}


/*
* Validation callback for Category Block Four number.
*/
function daily_insight_pro_validate_no_of_category_block_four( $validity, $value ) {

    $value = intval( $value );
    if ( empty( $value ) || ! is_numeric( $value ) ) {
        $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'daily-insight-pro' ) );
    } elseif ( $value < 5 ) {
        $validity->add( 'min_no_of_category_block_four', esc_html__( 'Minimum no of Category Block Four is 5', 'daily-insight-pro' ) );
    } elseif ( $value > 10 ) {
        $validity->add( 'max_no_of_category_block_four', esc_html__( 'Maximum no of Category Block Four is 10', 'daily-insight-pro' ) );
    }
    return $validity;
}


/*
* Validation callback for Category Block Seven number.
*/
function daily_insight_pro_validate_no_of_category_block_seven( $validity, $value ) {

    $value = intval( $value );
    if ( empty( $value ) || ! is_numeric( $value ) ) {
        $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'daily-insight-pro' ) );
    } elseif ( $value < 5 ) {
        $validity->add( 'min_no_of_category_block_seven', esc_html__( 'Minimum no of Category Block Seven is 5', 'daily-insight-pro' ) );
    } elseif ( $value > 10 ) {
        $validity->add( 'max_no_of_category_block_seven', esc_html__( 'Maximum no of Category Block Seven is 10', 'daily-insight-pro' ) );
    }
    return $validity;
}